/ comp / gb.form / stock
Stock (gb.form)
This class is used for returning predefined icons.

You should not have to use this class directly to get these icons. Use the Picture class as an array instead.

Symbols
This class is static.
This class acts like a read-only array.

Static properties |
List |

If we had a ToggleButton then this click event would change the stock icon displayed.

### Examples

    PUBLIC SUB ToggleButtonDetail_Click()
      IF ToggleButtonDetail.Value THEN
        ToggleButtonDetail.Picture = Stock["16/view-icon"]
      ELSE
        ToggleButtonDetail.Picture = Stock["16/view-detail"]
      END IF
    END

This next example does exactly the same as above. But here we use a Picture class to load the stock icon.

    PUBLIC SUB ToggleButtonDetail_Click()
      IF ToggleButtonDetail.Value THEN
        ToggleButtonDetail.Picture = Picture["icon:/16/view-icon"]
      ELSE
        ToggleButtonDetail.Picture = Picture["icon:/16/view-detail"]
      END IF
    END